> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/shortcuts/wisej.hybrid.shared.appactions.appaction.md).

# AppAction

Namespace: **Wisej.Hybrid.Shared.AppActions**

Assembly: **Wisej.Hybrid** (3.5.0.0)

App Actions allow you to define and expose specific actions or tasks that users can perform within your mobile app, which can be triggered from various entry points, such as the app's launcher icon.

{% tabs %}
{% tab title="C#" %}

```csharp
public class AppAction
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class AppAction
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)AppAction()

Initializes a new instance of [AppAction](/hybrid/start/api/shortcuts/wisej.hybrid.shared.appactions.appaction.md).

### ![](/files/CCV9PPenlC1YZvNh1I6R)AppAction(id, title, subtitle, icon)

Initializes a new instance of [AppAction](/hybrid/start/api/shortcuts/wisej.hybrid.shared.appactions.appaction.md) with the given arguments.

| Name         | Type                                                          | Description                                            |
| ------------ | ------------------------------------------------------------- | ------------------------------------------------------ |
| **id**       | [String](https://docs.microsoft.com/dotnet/api/system.string) | A unique identifier used to respond to the action tap. |
| **title**    | [String](https://docs.microsoft.com/dotnet/api/system.string) | The visible title to display on the app icon.          |
| **subtitle** | [String](https://docs.microsoft.com/dotnet/api/system.string) | If supported, a sub-title to display under the title.  |
| **icon**     | [String](https://docs.microsoft.com/dotnet/api/system.string) | An icon that is shown next to the title.               |

**Throws:**

* [ArgumentNullException](https://docs.microsoft.com/dotnet/api/system.argumentnullexception) Thrown when either id or title is null.

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Icon

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the action icon.

The icon must be included in a ResourceDictionary on the client app. See: <https://learn.microsoft.com/en-us/dotnet/maui/platform-integration/appmodel/app-actions#more-information-about-app-actions>.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Id

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the unique identifier used to respond to the action tap.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Subtitle

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets a sub-title to display under the Microsoft.Maui.ApplicationModel.StartupAction.Title.

Not supported on all platforms.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Title

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the visible title to display on the app icon.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/shortcuts/wisej.hybrid.shared.appactions.appaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
